Heredoc unindentation with <<~ with single-quoted identifier flush-lefts the content

12/25/2015 04:20 PM - sawa (Tsuyoshi Sawada)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.3.0p0 (2015-12-25 revision 53290)

[x86_64-linux]

Backport: 2.0.0: DONTNEED, 2.1: DONTNEED,

2.2: DONTNEED, 2.3: DONE

Description

Heredoc unindentation with <<~ works as expected when the identifier is bare or double-quoted:

s = <<~_

 fiwfewifjf

  iofwejfweifwe

   fjiofwejfweiof f

     fiwejfweof

 _

puts s

 or

s = <<~"_"

 fiwfewifjf

  iofwejfweifwe

   fjiofwejfweiof f

     fiwejfweof

 _

puts s

 Output:

fiwfewifjf

 iofwejfweifwe

  fjiofwejfweiof f

    fiwejfweof

 But with a single-quoted identifier, the content is flushed left:

s = <<~'_'

 fiwfewifjf

  iofwejfweifwe

   fjiofwejfweiof f

     fiwejfweof

 _

puts s

 Output:

fiwfewifjf

iofwejfweifwe

fjiofwejfweiof f

fiwejfweof

Associated revisions

Revision b1796737cf097ff7dc68b12ebb6d86a9528c95be - 12/31/2015 08:06 PM - nobu (Nobuyoshi Nakada)

parse.y: single-quote indented heredoc
parse.y (parser_here_document): update indent for each line in

indented here document with single-quotes.

[ruby-core:72479] [Bug #11871]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53398 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b1796737 - 12/31/2015 08:06 PM - nobu (Nobuyoshi Nakada)

parse.y: single-quote indented heredoc

parse.y (parser_here_document): update indent for each line in

indented here document with single-quotes.

[ruby-core:72479] [Bug #11871]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53398 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ba02d4b03bf536b24786f5b5982a08b44cf9d427 - 03/29/2016 12:21 PM - naruse (Yui NARUSE)

merge revision(s) 53398: [Backport #11871]

    * parse.y (parser_here_document): update indent for each line in

      indented here document with single-quotes.

      [ruby-core:72479] [Bug #11871]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54398 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ba02d4b0 - 03/29/2016 12:21 PM - naruse (Yui NARUSE)

merge revision(s) 53398: [Backport #11871]

    * parse.y (parser_here_document): update indent for each line in

      indented here document with single-quotes.

      [ruby-core:72479] [Bug #11871]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54398 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/31/2015 08:06 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r53398.

parse.y: single-quote indented heredoc

parse.y (parser_here_document): update indent for each line in

indented here document with single-quotes.

[ruby-core:72479] [Bug #11871]

#2 - 02/03/2016 11:12 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2:

DONTNEED, 2.3: REQUIRED

#3 - 03/29/2016 12:21 PM - naruse (Yui NARUSE)

- Backport changed from 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2:

DONTNEED, 2.3: DONE

ruby_2_3 r54398 merged revision(s) 53398.
